Subject: Re: [QGit bug] git user settings not retrieved when launched for Windows explorer

From: Abdelrazak Younes <[email-masked]>
Date: Tue, 07 Oct 2008 19:08:14 +0200

On 07/10/2008 18:48, Marco Costalba wrote:
> On Tue, Oct 7, 2008 at 2:31 PM, Abdelrazak Younes<[email-masked]>  wrote:
>    
>> No, 'git config user.name' works fine in any directory, even on the naked
>> Windows console (I mean without msys bash). So that must be something else.
>> I've traced it down to
>> MyProcess::on_finished().
>>
>>     isErrorExit =   (exitStatus != QProcess::NormalExit)
>>                  || (exitCode != 0&&  isWinShell)
>>                  || !errorDesc.isEmpty()
>>                  ||  canceling;
>>
>> At this point we have:
>> exitStatus = NormalExit
>> exitCode = 1
>> isWinShell = false
>> errorDesc.isEmpty() returns true
>> canceling = false
>>
>> Which gives 'isErrorExit = false'. I wonder if the isWinShell test is
>> correct?
>>
>>      
>
> Hi Abdel,
>
> I would think it is correct to return isErrorExit == false
>    

OK.

> The problem is that it seems git config return empty data if run from
> outside git directory...isn't it ?
>    

No, as I said, 'git config user.name' is working just fine outside git 
directory.

Abdel.